# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		million
Version:	1.0.2
Release:	alt1_6
Summary:	Game "Who want to be a millionaire" (Russian version)
Group:		Games/Puzzles
License:	GPLv3
URL:		http://dansoft.krasnokamensk.ru/more.html?id=1012
# http://dansoft.krasnokamensk.ru/data/1012/million_source.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	qt5-base-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	ImageMagick-tools
Requires:	libqt5-sql
Source44: import.info

%description
Who want to be a millionaire? To game after watching TV show?
This is Russian version of the game. Other languages are not supported.

%prep
%setup -q

%build
%qmake_qt5 DEFINES=_ONLYRUSSIAN
%make_build CFLAGS="%{optflags}"

%install
# install binary
mkdir -p %{buildroot}%{_bindir}
cp Bin/%{name} %{buildroot}%{_bindir}/

# install game data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp Bin/%{name}.db %{buildroot}%{_datadir}/%{name}/
cp -r Bin/sounds %{buildroot}%{_datadir}/%{name}/

# create and install icons
for N in 16 32 48 64 128; do convert images/logo.png -scale ${N}x${N}! ${N}.png; done
install -D 16.png -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D 32.png -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D 48.png -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D 64.png -m 644 %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D 128.png -m 644 %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# XDG menu entry
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.2-alt1_6
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_5
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_3
- update by mgaimport

* Tue Jun 14 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2
- converted for ALT Linux by srpmconvert tools

